import { ICacheHelper, Cache } from './interface';
import { ObjectOperations } from 'typescript-helper-functions';
import * as NodeCache from 'node-cache';
export declare class CacheHelper implements ICacheHelper {
    Caches: Cache[];
    ObjectOperations: ObjectOperations;
    constructor(cacheNames: string[], cacheExpirationSeconds?: number);
    Add(cacheName: string, key: string, value: any): boolean;
    Delete(cacheName: string, key: string): boolean;
    FindCache(cacheName: string): NodeCache;
    Flush(cacheName: string): void;
    Get(cacheName: string, key: string): any | undefined;
    Initialize(cacheNames: string[], cacheExpirationSeconds: number): void;
    Replace(cacheName: string, key: string, value: any): void;
}
